endless-sky (0.8.11-1mx150+1) mx; urgency=medium

  * New release rebuilt for MX 15..

 -- Mike Purtell <mandbx@sbcglobal.net>  Thu, 28 Jan 2016 15:02:15 -0800

endless-sky (0.8.11-1~getdeb1) trusty; urgency=medium

  * New upstream version
   * Bug fixes:
    * The new Pug mission is now offered on the proper planet.
    * Typo fixes. (@Pointedstick, @zwparchman)
    * Missions that take away one outfit and give another now always work
    properly.
    * Fixed a bug where escorts in mid-jump when you land end up far from the
    system center.
    * The game no longer hangs in the map if you shift-click an unreachable
    system.
    * Fixed a bug where you retain control of your flagship after it is
    captured.
    * If a target NPC dies, turrets no longer continue to fire in its
    direction.
    * Fixed a bug where reordering your ships was not changing your flagship.
    * If you land while an escort is your target, then park it, your target
    is now cleared.
    * Fixed the system coloring when you pop up the map from a conversation
    panel.
    * Main menu no longer freezes if you "enter ship" just as it finishes
    loading.
    * Planets with no star system defined for them will no longer crash the
    game.
   * Game content:
    * Added a mission string that gives you permission to buy most Wanderer
    ships.
    * Fixed an incorrect mass for the White Sun Reactor.
    * Fixed the price of the Wanderer Type 4 Thruster.
    * Alexandria Station can now be bribed, for players without a good
    Republic reputation.
    * More ship names (@Pointedstick).
    * The Wanderers now sell local maps.
    * Fixed some inaccurate ship descriptions.
    * Gave the Wanderer "Summer Leaf" ship a bit more cargo and outfit space.
    * Made the Southern Mutual Defense Pact missions get offered a bit more
    often.
    * Made Korath raids more frequent in one system so you can hunt them
    without save-scumming.
    * Fixed some jobs that had no maximum distance specified.
    * Fixed an annoying click in the jump drive sound effect.
   * Game mechanics:
    * Plundered ammo now reloads your weapons if you have the proper
    launcher.
    * Ships now recharge / refuel when you buy or sell outfits (e.g. fuel
    pods).
    * Ships with nowhere to flee to will now fight to the death instead of
    giving up.
    * Ships now clear their "ship to assist" order if they are captured.
   * User interface:
    * A system is now shown as dominated only if every inhabited planet is
    dominated.
    * The "fight current target" key can now order escorts to kill a disabled
    ship.
    * The data parser now reports unmatched quotation marks.

 -- Christoph Korn <christoph.korn@getdeb.net>  Thu, 28 Jan 2016 19:08:53 +0100

endless-sky (0.8.10-1~getdeb1) trusty; urgency=medium

  * New upstream version
      * Bug fixes:
        * Mouse clicks on the map are now correctly handled at all zoom
        levels.
        * Escorts now once again jump simultaneously with your ship.
        * Net worth is no longer clipped to the +-2 billion range in saved
        games.
        * Escorts that cannot jump will now ignore jump commands instead of
        lining up to jump.
        * Fixed a bug where the Water Bug had the wrong anti-missiles linked
        to its hardpoints.
        * Fixed some ship variants that had negative space available.
        * You can now bribe planets even if you have also provoked their
        government.
        * The outfitter panel's drawing code has been optimized to no longer
        max out the CPU.
        * The mission panel map is now colored by reputation by default,
        rather than uncolored.
        * Distances in the mission panel now show number of jumps, not amount
        of fuel.
        * In the outfitter, outfits are now shown if any selected ship has
        one, not just the first.
        * Human pirate "raids" no longer appear in alien star systems if you
        have many freighters.
      * Game content:
        * New species, the Wanderers (4 ship types, 18 outfits, 17 planets).
        * New missions involving the Hai and the Wanderers.
        * Increased the range of the small anti-missile by 50%.
        * Water cooling is now available in more places.
        * New hail messages. (@ph2000bis, @Pointedstick, @Thunderforge)
        * New commodity names. (@lehgogh, @Pointedstick)
        * New ship names. (@lehgogh)
        * Typo fixes. (@Pointedstick, @Wrzlprnft)
        * New job types. (@Pointedstick)
      * Game mechanics:
        * Projectiles now clear their target if that target is captured.
        * Governments now only scan you once per day, instead of once per
        ship.
        * Jobs are now allowed to have "on accept" dialogs or conversations.
        * Deadlines can now be specified in (base + multiplier * jumps)
        format.
        * Weapons can now specify that they split into submunitions when
        close to their target.
        * Shield and hull generators can now specify an extra energy cost per
        unit recharged.
        * Non-heroic ships no longer attack far away groups of ships that
        have them outgunned.
        * You can no longer hail other ships while you are entering
        hyperspace.
        * Surveillance ships no longer get "stuck" once they run out of fuel.
        * Missions can now specify "stopover" planets that you must visit.
        * Missions can have "on stopover" actions to perform when the last
        stopover is visited.
        * A government can now be marked as speaking a language that you may
        or may not know.
        * The hail panel commands now only work if you speak the language of
        a ship or planet.
        * Added support for "<?=" and ">?=" (min and max) condition
        operators.
        * Support for large stations / ringworlds with several different
        places you can land.
        * Warning messages are now printed for all unexpected values found in
        the game data.
        * Warning messages are now saved to "errors.txt" in the config /
        preferences folder.
        * Added support for "special" commodity classes, to provide varied
        names for missions.
        * New "coward" NPC personality that flees once its shields are down.
      * User interface:
        * If you accept a job, the next available job in the same system (if
        any) is selected.
        * The "ports" map page now shows whether each planet has been
        visited.
        * In the "ports" map, planet descriptions are now only shown for
        visited planets.
        * The targeting display now shows what direction the target ship is
        facing in.
        * Caps lock now works properly when entering text.
        * Automatic firing is now entirely disabled if your target is
        friendly.
        * Thruster noise from other ships is now audible.
        * If a new ship's name is left blank, it is now called "<first>'s
        <model name>."

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 06 Jan 2016 19:21:07 +0100

endless-sky (0.8.9-1~getdeb1) trusty; urgency=medium

  * New upstream version
      * Bugs fixes:
        * Typo fixes. (@dplepage, @guillochon, @Wrzlprnft)
        * Fixed a bug where Earth would not let you land in a "safe passage"
        Free Worlds mission.
        * The hiring panel no longer lists crew from parked ships.
        * Auto-aim no longer points you at where a destroyed target used to
        be.
        * The fullscreen toggle key now works regardless of what GUI panel is
        active.
        * Derelicts will no longer converse with you if you hail them.
        (@ItsNickBarry)
        * Fixed a shop panel crash when a ship has no sprite defined.
        * Escorts no longer get stuck trying to refuel on a planet that will
        not let them land.
        * Escorts will now leave your fleet to refuel if the alternative is
        ending up stranded.
        * When dominating a planet, capturing a defender now counts as
        destroying it.
        * Fixed the graphics flicker when taking off.
      * Game content:
        * Caph now uses Syndicate defense fleets, since it is a Syndicate
        system.
        * Many new names for mission cargoes. (@Pointedstick, @anonybosch)
        * New names for civilian and pirate ships. (@Pointedstick)
        * New hail messages, especially for civilians and the Syndicate.
        (@Pointedstick)
        * Tiny escort missions, available to new pilots. (@Pointedstick)
        * Added a "Medium Warship" category.
        * Price increases for the Headhunter and Bactrian.
        * Made the Falcon faster compared to the Leviathan.
        * Reduced the bonuses for the new jumbo missions.
        * Changed the world-ship sprite to something less tacky, with three
        variants.
        * The intro interceptor missions no longer create an autosave.
        * Added more clarification in the Free Worlds drone salvage mission.
        * Changed the Reverse Thruster name to "AR120 Reverse Thruster."
        * Added a new Syndicate ship, the Vanguard. (@Pointedstick)
      * Game mechanics:
        * Planets you have dominated will no longer fine you for illegal
        items.
        * Flagships now take last priority for cargo but first priority for
        passengers.
        * Adding or removing outfits that require crew automatically hires or
        fires crew.
        * Added a "self destruct" attribute for ships that explode if
        boarded.
        * Tweaked the AI behavior when near the "invisible fence" on the
        outskirts of the system.
        * If you hail a disabled enemy, they now insult you instead of
        demanding a bribe.
        * It's now possible for an event to "clear" a planet's spaceport
        (making it uninhabited).
        * Ship variants can now inherit descriptions and outfit lists.
        * Firing normal thrusters after using the afterburner no longer slows
        you down.
        * All pathfinding now includes wormhole travel.
        * You can now dump cargo in the info panel to make room for plunder.
        * The player’s flagship is now always displayed on top of all other
        ships.
        * Missions can now specify a custom payment multiplier as well as a
        custom base payment.
        * Other ships no longer interfere when you are fighting a bounty -
        you must fight alone.
      * User interface:
        * Added messages when changing landing targets. (@guillochon)
        * Button names now have underlined letters as hints of the key
        shortcut. (@guillochon)
        * Underlines for key shortcut hints are shown only when Alt / Option
        is held.
        * Moons, stations, etc. are no longer called "planets." (@guillochon)
        * The game no longer pauses when the window is minimized.
        * In the map, clicking the system you are in will now clear the jump
        route.
        * If you cannot sell an outfit, a helpful message is now shown
        explaining why.
        * The outfit list in the boarding panel now supports arrow keys and
        page up / down.
        * In the outfitter and shipyard maps you can now shift-click to
        compare items.
        * Added support for zooming in the map views. (@guillochon)
        * Loading a snapshot now displays a warning that it will overwrite
        your main game.
        * You can now double click a ship to board it or a planet to land.
        * Added a key to each of the map panels.
        * Shift + Board will now select any of your escorts that are
        disabled.
        * Added a preference for whether escorts expend ammo always,
        frugally, or never.
      * Audio:
        * Redid all the sound effects, striving for better volume balance.
        * Added sounds for landing and takeoff and for many weapons that
        previously had none.
        * Looping sounds now fade smoothly when they stop instead of
        continuing to the end of the loop.
        * Large numbers of overlapping sounds no longer cause phasing /
        grinding noise.
        * All audio parameters are set on startup to make sure they are the
        same on every OS.
        * Improved the math for combining multiple instances of the same
        sound.

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 16 Dec 2015 19:28:09 +0100

endless-sky (0.8.8-1~getdeb1) trusty; urgency=medium

  * New upstream version
    * Bug fixes:
    * Fixed various bugs with how the game determines which ship is your
    "flagship."
    * The "Uninhabited" government on Ruin will no longer fine the player for
    illegal outfits.
    * Fixed a crash that could happen while taking off if missions failed due
    to lack of space.
    * Typo fixes (@naehc, @kkuchta, @luiges90, @fcfort, @maxrd2)
    * New content:
    * Added two new ships, the Headhunter and the Modified Argosy.
    * Game mechanics:
    * The AI will now use reverse thrusters for landing, boarding, and
    jumping.
    * Added a "frugal" personality that expends ammo only if outgunned (and
    applied it to your escorts).
    * Added a "net worth" condition variable for mission creators to use.
    * User interface:
    * Added a "buy all" button in the trading panel.
    * Made mouse click targeting more accurate when ships are overlapping.
    * Other:
    * Tweaked the audio balance for a less abrupt left / right transition.
    * Fresh installs now default to 50% volume instead of 100%.
    * Animations can now have randomized frame rates so they aren't perfectly
    synchronized.
    * Plugins can now override the existing commodities.

 -- Christoph Korn <christoph.korn@getdeb.net>  Wed, 25 Nov 2015 19:36:49 +0100

endless-sky (0.8.7-1~getdeb1) trusty; urgency=medium

  * New upstream version
    Version 0.8.7:
     * Bug fixes:
     * Fixed a bug in the info panel scrolling.
     * Fixed a crash when you lose your flagship through hand to hand combat.
     * Game mechanics:
     * Pirates no longer plunder outfits, because that is way too confusing
     for new players.
     * Load cargo onto escorts when taking off to leave the flagship free for
     plunder.

    Version 0.8.6:
     * Bug fixes:
     * Fixed a bug that makes fighter bays stop working in the previous
     release.
     * Fixed a crash in the map panel if the player has no flagship.
     * Missions:
     * Added some large cargo and passenger missions, for bigger ships and
     fleets.

    Version 0.8.5:
     * Bug fixes:
     * Pops and crackles with looping sounds like thrusters should now be
     fixed.
     * File paths with non-ASCII characters are now supported even on
     Windows.
     * The Outfitter no longer offers to reload ammo on ships that are parked
     or absent.
     * You no longer retain control of your ship if it is captured in ship to
     ship combat.
     * Fighters you cannot carry are now sold off properly when you leave the
     planet.
     * Fixed a bug where escorts try to refuel on an uninhabited planet.
     * Better handling of selling your flagship when you have other ships
     that are parked or absent.
     * Bringing up the menu while in a mission conversation no longer
     declines that mission.
     * Fixed a bug on Windows where you lose money if loading a pilot with
     over two billion credits.
     * Being plundered now takes effect immediately instead of waiting until
     the game is reloaded.
     * If audio initialization fails, the game will now start with no sound
     instead of quitting.
     * Game mechanics:
     * Pirate raid strength no longer takes your parked ships into account.
     * It is no longer possible to "park" a disabled ship.
     * If you need help and hail a ship that is disabled, it will now say
     that it cannot help you.
     * Pirates will no longer steal your hyperdrive, but may still steal your
     engines or power.
     * User interface changes:
     * Made the name entry in the New Pilot dialog clearer.
     * The Escape key now means "back one level" instead of "toggle main
     menu."
     * Made it possible to scroll the list of ships in the player info panel.
     * The "Land" key now only toggles between landing options if pressed
     more than once per second.
     * Escort icons turn green when they are ready to hyperjump.
     * Game snapshots can now be given a name instead of just being
     identified by date.
     * Escorts can no longer be ordered to attack themselves.
     * Renamed "Enter Ship" to "Load Game" in the Load / Save panel.
     * If you get plundered, added messages informing you of what was stolen.
     * The multiplier keys no longer apply to selling a ship.
     * Your jump path is now colored based on how much fuel you and your
     escorts have.
     * Missions:
     * Added warning dialogs if you fail any critical Free Worlds missions.
     * Fixed a few inaccurate messages shown when an NPC condition is not yet
     met.

 -- Christoph Korn <christoph.korn@getdeb.net>  Sat, 14 Nov 2015 20:07:58 +0100

endless-sky (0.8.4-1~getdeb1) trusty; urgency=medium

  * Upload to GetDeb

 -- Christoph Korn <christoph.korn@getdeb.net>  Sun, 25 Oct 2015 21:35:45 +0100

endless-sky (0.8.4-1) unstable; urgency=low

  * Initial release. (Closes: #782846)

 -- Michael Zahniser <mzahniser@gmail.com>  Tue, 06 Oct 2015 19:14:17 -0400
